## org.omg.IOP
Class ServiceContextHelper

    java.lang.Object
      |
      +--org.omg.IOP.ServiceContextHelper

public class ServiceContextHelper
extends java.lang.Object

Helper class for : ServiceContext

Author:
  OpenORB Compiler

Constructor Summary
`ServiceContextHelper()`

Method Summary
`static ServiceContext` `extract(Any a)` Extract ServiceContext from an any
`static java.lang.String` `id()` Return the ServiceContext IDL ID
`static void` `insert(Any a, ServiceContext t)` Insert ServiceContext into an any
`static ServiceContext` `read(InputStream istream)` Read ServiceContext from a marshalled stream
`static TypeCode` `type()` Return the ServiceContext TypeCode
`static void` `write(OutputStream ostream, ServiceContext value)` Write ServiceContext into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceContextHelper

    public ServiceContextHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServiceContext t)

  Insert ServiceContext into an any
  Parameters:
    `a` - an any
    `t` - ServiceContext value

### extract

    public static ServiceContext extract(Any a)

  Extract ServiceContext from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServiceContext value

### type

    public static TypeCode type()

  Return the ServiceContext TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServiceContext IDL ID
  Returns:
    an ID

### read

    public static ServiceContext read(InputStream istream)

  Read ServiceContext from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServiceContext value

### write

    public static void write(OutputStream ostream,
                             ServiceContext value)

  Write ServiceContext into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServiceContext value